Subject: Re: bug#11230: 24.1.50; VC doesn't handle internal errors?

From: Christoph Scholtes <[email-masked]>
Date: Sun, 13 May 2012 07:52:56 -0600

Deniz Dogan <[email-masked]> writes:

> I just compiled the latest Emacs on 64-bit Windows 7 myself and when I
> was going to look at the Bazaar log, I found the following error.

[snip]

I got the same error with bzr 2.4.2. After upgrading to bzr 2.5.0 the
error disappeared.

However, the bzr error (with the backtrace) did not always occur. It
actually occurred repeatable when vc-dir was invoked at the root of the
Emacs trunk repo. 

If vc-dir is invoked at a lower level, say the lisp directory, Emacs
would report the following error:

error in process sentinel: vc-dir-node-directory: Wrong type argument: arrayp, nil
error in process sentinel: Wrong type argument: arrayp, nil

I reported a similar issue in bug #9726, which Glenn fixed (see bug
#9726 thread), but is there still an issue here?

Note, that this behavior also disappears with the upgrade to bzr 2.5.0.